<?php
// force browser to refresh your cart
header('Expires: Sun, 01 Jan 2014 00:00:00 GMT');
header("Cache-Control: no-store, no-cache, must-revalidate, max-age=0");
header('Cache-Control: post-check=0, pre-check=0', FALSE);
header('Pragma: no-cache');

// connect to database
include 'config/database.php';

// include objects
include_once "objects/product.php";
include_once "objects/category.php";
include_once "objects/product_image.php";
include_once "objects/cart_item.php";

// get database connection
$database = new Database();
$db = $database->getConnection();

// initialize objects
$product = new Product($db);
$category = new Category($db);
$product_image = new ProductImage($db);
$cart_item = new CartItem($db);

// get category id
$category_id = isset($_GET['id']) ? $_GET['id'] : die('Category ID not found.');

// read category name
$category->id=$category_id;
$category_name=$category->readCategoryNameById();

// set page title
$page_title=$category_name;

// set page header html
include 'layout_head.php';

// for pagination purposes
$page = isset($_GET['page']) ? $_GET['page'] : 1; // page is the current page, if there's nothing set, default is page 1
$records_per_page = 5; // set records or rows of data per page
$from_record_num = ($records_per_page * $page) - $records_per_page; // calculate for the query LIMIT clause

// read all products under a category
$product->category_id=$category_id;
$stmt=$product->readByCategoryId($from_record_num, $records_per_page);

// count number of retrieved products
$num = $stmt->rowCount();

if($num>0){
	// needed for paging
	$page_url="category.php?id={$category_id}";
	$total_rows=$product->countByCategoryId();

	// show products
	include_once "read_products_template.php";
}

// tell the user if there's no products in the database
else{
	echo "<div class='col-md-12'>";
    	echo "<div class='alert alert-danger'>No products found in this category.</div>";
	echo "</div>";
}

include 'layout_foot.php';
?>
